import { App } from 'vue';

// selection
import ImportDialog from './import-dialog/index.vue';

import SvgIcon from './svg-icon/index.vue';
import SelectRangeDatetime from './select-range-datetime/index.vue';
import SelectRangeTime from './select-range-time/index.vue';
import StatusTag from './status-tag/index.vue';

export default {
  install(Vue: App) {
    Vue.component('ImportDialog', ImportDialog);

    Vue.component('SvgIcon', SvgIcon);
    Vue.component('SelectRangeDatetime', SelectRangeDatetime);
    Vue.component('SelectRangeTime', SelectRangeTime);
    Vue.component('StatusTag', StatusTag);
  },
};
